Bug 1433366 - Editing an already created schedule for "Container Image compliance" doesn't populate all the existing schedule settings
Summary: Editing an already created schedule for "Container Image compliance" doesn't ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Aparna Karve
QA Contact: Dafna Ron
URL:
Whiteboard: container:control:policy
Depends On: 1402939
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-17 13:13 UTC by Satoe Imaishi
Modified: 2017-04-12 14:45 UTC (History)
6 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1402939
Environment:
Last Closed: 2017-04-12 14:45:06 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-17 16:01:13 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a16977f2682575cf6c74670bd1edb42a7bb0507a

commit a16977f2682575cf6c74670bd1edb42a7bb0507a
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Mar 16 10:33:38 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 17 12:00:03 2017 -0400

    Merge pull request #673 from AparnaKarve/bz1402939_fix_container_image_compliance_action_type
    
    Fix filter values that are set for `container_image_check_compliance` action type
    (cherry picked from commit c18547036cf8d9ff1930da1ede951600b3c5b477)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1433366

 app/controllers/ops_controller/settings/schedules.rb |  7 ++++---
 .../ops_controller/settings/schedules_spec.rb        | 20 ++++++++++++++++++++
 2 files changed, 24 insertions(+), 3 deletions(-)

Comment 4 Aparna Karve 2017-03-21 16:18:11 UTC
Note that prior to the fix, the "Container Image compliance" schedule was being created with incorrect values. 
As a corrective action to fixing those broken and already existing "Container Image compliance" schedules, it is important open them in the Edit mode, set the appropriate values and re-save them.

Comment 5 Dafna Ron 2017-03-23 13:18:34 UTC
verified on cfme-5.7.2.0-1.el7cf.x86_64

Comment 6 errata-xmlrpc 2017-04-12 14:45:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.